%if 0%{?fedora}
%bcond_without python3
%else
%bcond_with python3
%endif

%global pkgname repoze.sphinx.autointerface

Name:           python-repoze-sphinx-autointerface
Version:        0.7.1
Release:        6%{?dist}
Summary:        Auto-generate Sphinx API docs from Zope interfaces

License:        BSD
URL:            https://github.com/repoze/%{pkgname}
Source0:        https://github.com/repoze/%{pkgname}/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%if 0%{?rhel} == 6
BuildRequires:  python-sphinx10
%else
BuildRequires:  python-sphinx
%endif

BuildRequires:  python-zope-interface

%if %{with python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-sphinx
BuildRequires:  python3-zope-interface
%endif

%if 0%{?rhel} == 6
Requires:       python-sphinx10
%else
Requires:	python-sphinx
%endif
Requires:       python-zope-interface

%global common_desc                                                      \
This package defines an extension for the Sphinx documentation system.   \
The extension allows generation of API documentation by introspection of \
zope.interface instances in code.

%{!?py2_build: %global py2_build CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build}
%{!?py2_install: %global py2_install %{__python} setup.py install --skip-build --root %{buildroot}}
%{!?python2_sitelib: %global python2_sitelib %{python_sitelib}}
%{!?_licensedir:%global license %doc}

%description
%{common_desc}

%if %{with python3}
%package -n python3-repoze-sphinx-autointerface
Summary:        Auto-generate Sphinx API docs from Zope interfaces
Requires:       python3-sphinx
Requires:       python3-zope-interface

%description -n python3-repoze-sphinx-autointerface
%{common_desc}
%endif

%prep
%setup -q -c

%if %{with python3}
cp -a %{pkgname}-%{version} python3-%{pkgname}-%{version}
%endif

%build
# Python 2 build
pushd %{pkgname}-%{version}
%py2_build
popd

%if %{with python3}
# Python 3 build
pushd python3-%{pkgname}-%{version}
%py3_build
popd
%endif

%install
# Python 2 install
pushd %{pkgname}-%{version}
%py2_install
popd

%if %{with python3}
# Python 3 install
pushd python3-%{pkgname}-%{version}
%py3_install
popd
%endif

%files
%doc %{pkgname}-%{version}/CHANGES.txt %{pkgname}-%{version}/COPYRIGHT.txt
%doc %{pkgname}-%{version}/LICENSE.txt %{pkgname}-%{version}/README.txt
%{python2_sitelib}/*

%if %{with python3}
%files -n python3-repoze-sphinx-autointerface
%doc %{pkgname}-%{version}/CHANGES.txt %{pkgname}-%{version}/COPYRIGHT.txt
%doc %{pkgname}-%{version}/LICENSE.txt %{pkgname}-%{version}/README.txt
%{python3_sitelib}/*
%endif

%changelog
* Mon Dec 14 2015 Nick Le Mouton <nick@noodles.net.nz> - 0.7.1-6
- Cleaned up spec file
- Added el6 macros/requires

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-5
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jun  3 2014 Jerry James <loganjerry@gmail.com> - 0.7.1-3
- Do not use the py3dir macro; see https://fedorahosted.org/fpc/ticket/435
- Remove the %%clean script

* Mon Jun  2 2014 Jerry James <loganjerry@gmail.com> - 0.7.1-2
- Conditionalize the python3 package

* Thu May 29 2014 Jerry James <loganjerry@gmail.com> - 0.7.1-1
- Initial RPM (bz 1102858)
